var losCheckApiKey = function() {

	var $checking = jQuery( '#hd-los-api-key-checking' ).hide(),
		$ok = jQuery( '#hd-los-api-key-ok' ).hide(),
		$nok = jQuery( '#hd-los-api-key-nok' ).hide(),
		$apiKey = jQuery( '#los_api_key' ),
		apiKey = $apiKey.val();

	function err() {

		$nok.show();

	}

	if ( apiKey ) {

		$checking.show();

		setTimeout(

			function() {

				jQuery.ajax({
					'complete': function() {

						$checking.hide();

					},
					'crossDomain': true,
					'data': {
						'apiKey': apiKey,
						'referer': document.domain
					},
					'dataType': 'jsonp',
					'error': err,
					'success': function( e ) {

						if ( e[ 'statusId' ] && e.data ) {

							$ok.show();

						} else {

							err();

						}
					},
					'url': 'http://api.hockeydata.net/key/get'
				});

			}, 1000

		);

	}

};

var losWidgetFormStandings = function ( widgetId, showLegendFieldId, showOfficialStatusTextFieldId ) {

	jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_additionalOptions' ).fadeToggle();
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

	jQuery( '#' + showOfficialStatusTextFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_officialStatusTextOptions' ).fadeToggle();
		}
	);

};

var losWidgetFormSchedule = function ( widgetId, showLegendFieldId ) {

	jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_additionalOptions' ).fadeToggle();
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

};